<?php
/**
 * @package   T3 Blank
 * @copyright Copyright (C) 2005 - 2012 Open Source Matters, Inc. All rights reserved.
 * @license   GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;

	$name      = $vars['name'];
	$splparams = $vars['splparams'];
	$datas     = $vars['datas'];
	$cols      = $vars['cols'];
	$addcls    = isset($vars['class']) ? $vars['class'] : '';
	$style     = isset($vars['style']) && $vars['style'] ? $vars['style'] : 'zendefault';
	$tstyles   = explode(',', $style);

	if(count($tstyles) == 1){
		$styles = array_fill(0, $cols, $style);
	} else {

		$styles = array_fill(0, $cols, 'T3Xhtml');
		foreach ($tstyles as $i => $stl) {
			if(trim($stl)){
				$styles[$i] = trim($stl);
			}
		}
	}
	?>
	<!-- SPOTLIGHT -->
	<div class="zen-spotlight zen-<?php echo $name, ' ', $addcls, ' '?>">
		<div class="row">
			<?php
				foreach ($splparams as $i => $splparam):
					$param = (object)$splparam;
				
			?>
				<div id="<?php echo $param->position; ?>" class="<?php echo $datas[$i] ?>">
					
					<?php if($param->position =="menu") {
					
							$this->loadBlock ('nav-content');
						
						} elseif($this->countModules($param->position)) { ?>
					
							<jdoc:include type="modules" name="<?php echo $param->position ?>" style="<?php echo $styles[$i] ?>"/>
					
					<?php } elseif($param->position =="main") {
							
							$this->loadBlock ('main-content');
						
						} else { ?>
					
					&nbsp;
					
					<?php } ?>
				
				</div>
			<?php endforeach ?>
		</div>
	</div>
<!-- SPOTLIGHT -->